=== debian/changelog ===
ros-indigo-mrpt-map (0.1.14-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 11 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.13-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.12-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 02 Sep 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.11-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 20 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.10-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.9-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Thu, 04 Aug 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.8-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.7-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Sun, 19 Jun 2016 22:00:00 -0000

ros-indigo-mrpt-map (0.1.6-0trusty) trusty; urgency=high

  * build fixes
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Sat, 19 Mar 2016 23:00:00 -0000

ros-indigo-mrpt-map (0.1.5-0trusty) trusty; urgency=high

  * Fix build against mrpt 1.3.0
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 28 Apr 2015 22:00:00 -0000

ros-indigo-mrpt-map (0.1.4-0trusty) trusty; urgency=high

  * Removed 'mrpt' dep from catkin_package().
    I *think* this is giving problems to dependant pkgs and is not needed...
  * localization: New param to configure sensor sources in a flexible way
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Fri, 26 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-map (0.1.3-0trusty) trusty; urgency=high

  * Fix many missing install files
  * Contributors: Jose Luis Blanco

 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-map (0.1.2-0trusty) trusty; urgency=high



 -- Markus Bader <markus.bader@tuwien.ac.at>  Wed, 17 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-map (0.1.1-0trusty) trusty; urgency=high

  * First public binary release.

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000

ros-indigo-mrpt-map (0.1.0-0trusty) trusty; urgency=high

  * consistent version numbers
  * Fixes broken dependencies
  * Update all wiki URLs
  * Fix build with mrpt 1.2.x
  * localization uses tf odom
  * localization working like amcl
  * mrpt_rawlog_play working
  * ros mrpt convetion fnc renamed to convert
  * rawlog player
  * map publisher added but not yet working
  * Contributors: Jose Luis Blanco, Jose-Luis Blanco-Claraco, Markus Bader

 -- Markus Bader <markus.bader@tuwien.ac.at>  Tue, 16 Dec 2014 23:00:00 -0000
